Neuigkeiten

  • 6. April 2011: gtkmm 3.0.0 und glibmm 2.28.0 wurden veröffentlicht, gemäß dem GNOME-Veröffentlichungsrhythmus. gtkmm 3.0 erfasst die neue API in GTK+ 3.0 und lässt sich parallel zu gtkmm 2.4 installieren.
  • 10. Februar 2011: gtkmm 2.24.0 wurde veröffentlicht, gemäß dem GNOME-Veröffentlichungsrhythmus. gtkmm 2.24.0 erfasst die neue API in GTK+ 2.24 und ist API/ABI-kompatibel mit gtkmm >= 2.4. Es ist eine Version der gtkmm-2.4-API mit API-Erweiterungen. Einige APIs sind nun als veraltet markiert, was Anwendungsentwickler bei den Vorbereitungen für gtkmm 3.0 unterstützt.
  • 22. September 2010: gtkmm 2.22.0 wurde veröffentlicht, gemäß dem GNOME-Veröffentlichungsrhythmus. gtkmm 2.22.0 erfasst die neue API in GTK+ 2.22 und ist API/ABI-kompatibel mit gtkmm >= 2.4. Es ist eine Version der gtkmm-2.4-API, mit API-Erweiterungen.
  • 29. März 2010: gtkmm 2.20.0 und glibmm 2.24.0 wurden veröffentlicht, gemäß dem GNOME-Veröffentlichungsrhythmus. gtkmm 2.20.0 erfasst die neue API in GTK+ 2.20 und ist API/ABI-kompatibel mit gtkmm >= 2.4. Es ist eine Version der gtkmm-2.4-API mit API-Erweiterungen.
  • 22. September 2008: gtkmm 2.14.0 wurde veröffentlicht, gemäß dem GNOME-Veröffentlichungsrhythmus. gtkmm 2.14.0 erfasst die neue API in GTK+ 2.14 und ist API/ABI-kompatibel mit gtkmm 2.12, 2.10, 2.8, 2.6 und 2.4. Es ist eine Version der gtkmm-2.4-API, mit API-Erweiterungen.
  • 14. September 2007: gtkmm 2.12.0 und glibmm 2.14.0 wurden veröffentlicht, gemäß dem GNOME-Veröffentlichungsrhythmus. gtkmm 2.12.0 erfasst die neue API in GTK+ 2.12 und ist API/ABI-kompatibel mit gtkmm 2.10, 2.8, 2.6 und 2.4. Es ist eine Version der gtkmm-2.4-API, mit API-Erweiterungen.
  • August 2006: gtkmm und glibmm 2.10.0 wurden veröffentlicht, gemäß dem GNOME-Veröffentlichungsrhythmus. gtkmm 2.10.0 erfasst die neue API in GTK+ 2.10 und ist API/ABI-kompatibel mit gtkmm 2.8, mit API-Erweiterungen.
  • September 2005: gtkmm und glibmm 2.8.0 wurden veröffentlicht, gemäß dem GNOME-Veröffentlichungsrhythmus. gtkmm 2.8.0 erfasst die neue API in GTK+ 2.8 und ist API/ABI-kompatibel mit gtkmm 2.6, mit API-Erweiterungen.
  • März 2005: gtkmm und glibmm 2.6.0 wurden veröffentlicht, gemäß dem GNOME-Veröffentlichungsrhythmus. gtkmm 2.6.0 erfasst die neue API in GTK+ 2.6 und ist API/ABI-kompatibel mit gtkmm 2.4, mit API-Erweiterungen.
  • April 2004: gtkmm und glibmm 2.4.0 wurden veröffentlicht, gemäß dem GNOME-Veröffentlichungsrhythmus. gtkmm 2.4.0 erfasst die neue API in GTK+ 2.4 und lässt sich parallel zu gtkmm 2.2 installieren.
  • Januar 2003: gtkmm 2.2.0 wurde veröffentlicht, API/ABI-kompatibel mit gtkmm 2.0, mit API-Erweiterungen.
  • Dezember 2002: libglademm 2.0.0, gconfmm 2.0.0 und libgnomecanvasmm 2.0.0 wurden veröffentlicht - diese APIs sind binärstabil.
  • Oktober 2002: gtkmm 2.0.0 wurde veröffentlicht - die API ist binärstabil.